import java.util.Comparator;

public class Student extends Person {
	private int id;

	/**
	 * @param name
	 * @param age
	 * @param id
	 */
	public Student(String name, int age, int id) {
		super(name, age);
		this.id = id;
	}

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return "Student [name=" + name + ", age=" + age + ", id =" + id + "]";
	}
	
	public static Comparator<Student> IDComparator = new Comparator<Student>() {

		@Override
		public int compare(Student o1, Student o2) {
			return o1.id - o2.id; // ascending order
		}
		
	};
}
